#include	"basewin.h"

#define		szTitleName		TEXT("KanjiIn")

class MainWindow ;
class FepWindow ;

class MainApp {
private:
	HINSTANCE	m_hInst ;
	HACCEL		m_hAccl ;
	MainWindow	*m_pMainWnd ;
	FepWindow	*m_pFepWnd ;

public:
	MainApp() ;
	~MainApp() ;

	BOOL	Create( HINSTANCE hInst, HWND hWndParent, TCHAR ch ) ;
	int		Run() ;

	HINSTANCE	get_inst() const {
		return m_hInst ;
	}
	MainWindow	*get_main() { return m_pMainWnd ; }
	FepWindow	*get_fep() { return m_pFepWnd ; }
} ;

extern "C" {
	extern	TCHAR	MessageBuf[ 512 ] ;
	extern	BOOL	CheckExistingFep( void ) ;
	extern	DWORD	GetFontH( void ) ;
	extern	void	cmdline2args( LPTSTR cmdline, LPDWORD argc, LPTSTR *argv, LPBOOL quote, LPTSTR args ) ;
} ;
